<CsoundSynthesizer>
<CsOptions>
-odac -d -+rtmidi=portmidi --midi-key-cps=4 ;-+skip_seconds=50
</CsOptions>
<CsInstruments>

sr = 44100
ksmps = 32
nchnls = 2
0dbfs = 1

#include "Orc.orc"  ;Including Orchestra File

massign 0, 7

;alwayson 500

;----------------------------Sequencer & Bass-----------------------------

gkNotes[] init 16 ;Create array for sequencer
gkNoteCnt init 8

instr 7 ;Sequencer

	kNoteIndex init 0
	
;======SEQUENCE=======

		;istart init 24 ;Starting note (begins at 24)
		;istart = p4 ;Starting note is midi nn
		istart init 0
		iamp init 0
		istart notnum
		print istart
		

	gkNotes[0] = istart
	gkNotes[1] = istart + 10
	gkNotes[2] = istart + 12
	
	gkNotes[3] = istart
	gkNotes[4] = istart + 10
	gkNotes[5] = istart + 12
	
	gkNotes[6] = istart
	gkNotes[7] = istart + 10
	gkNotes[8] = istart + 12
	
	gkNotes[9] = istart
	gkNotes[10] = istart + 10
	gkNotes[11] = istart + 12
	
	gkNotes[12] = istart
	gkNotes[13] = istart + 10
	gkNotes[14] = istart + 12
	
	gkNotes[15] = istart

;========END==========

	kclock tempoval
	if metro(kclock/8) == 1 then
	
	
		event "i", "SYNTH", 0, .5, .5, gkNotes[kNoteIndex]
		kNoteIndex = kNoteIndex<15 ? kNoteIndex+1 : 0
	
	endif

endin

instr SYNTH

ifilt chnget "bassfilt" ;Gets data from slider

;------------vol + pitch envelopes-----------;

ivolatt init 0.007000001147389412
ivoldec init 0.1840000152587891
ivolsus init 0.1900000125169754
ivolrel init 0.2600000202655792

ipitchatt init 0.009999999776482582
ipitchstart init 1
kcatup init 0
kcatdown init 0

ifreq = cpsmidinn(p5)
iamp = p4

kpitchenv linseg ifreq*ipitchstart, ipitchatt, ifreq

kfreq = (ifreq+kpitchenv)*.5

if kcatup == 1 then
kfreq = kfreq*2

endif

if kcatdown == 1 then
kfreq = kfreq*.5

endif

;-----------------channels--------------

;1 SAWTOOTH 

kvol1 init 0.2480000108480453
kpan1 init 0.2660000026226044
kvib1 init 0
kvibhz1 init 0
ktrem1 init 0
ktremhz1 init 0
klpf1 init 19500
kres1 init 0
kdist1 init 0.8019999861717224
khpf1 init 0
k8va1 init 2
ktune1 init 1

kmute1 init 0

if kmute1 = 0 then

ktrem1 oscil ktrem1, ktremhz1
kvib1 oscil kvib1, kvibhz1
ksawfreq = (kfreq*ktune1)*k8va1
aosc1 vco2 iamp+ktrem1, ksawfreq+kvib1
alpf1 lpf18 aosc1, klpf1, kres1, kdist1
ahpf1 atonex alpf1, khpf1 

asig1 = ahpf1*kvol1
asawL = asig1*((kpan1*-1)+1)
asawR = asig1*kpan1

elseif kmute1 = 1 then
asawL = 0 
asawR = 0
endif


; 2 SQUARE WAVE
kvol2 init 0.7020000219345093
kpan2 init 0.3400000035762787
kvib2 init 0
kvibhz2 init 0
ktrem2 init 0
ktremhz2 init 0
klpf2 init 19500
kres2 init 0
kdist2 init 0
khpf2 init 0
k8va2 init 0.5
ktune2 init 1
kmute2 init 0

if kmute2 = 0 then

ktrem2 oscil ktrem2, ktremhz2
kvib2 oscil kvib2, kvibhz2
ksqfreq = (kfreq*k8va2)*ktune2
aosc2 vco2 iamp+ktrem2, ksqfreq+kvib2, 10
alpf2 lpf18 aosc2, klpf2, kres2, kdist2
ahpf2 atonex alpf2, khpf2 

asig2 = ahpf2*kvol2
asquareL = asig2*((kpan2*-1)+1)
asquareR = asig2*kpan2

elseif kmute2 == 1 then
asquareL = 0
asquareR = 0
endif


; 3 SINE WAVE

kvol3 init 0.3840000033378601
kpan3 init 0.5
kvib3 init 0
kvibhz3 init 0
ktrem3 init 0
ktremhz3 init 0
klpf3 init 19500
kres3 init 0
kdist3 init 21.98800277709961
khpf3 init 0
k8va3 init 1
ktune3 init 1
kmute3 init 0

if kmute3 = 0 then

ktrem3 oscil ktrem3, ktremhz3
kvib3 oscil kvib3, kvibhz3
ksinefreq = (kfreq*k8va3)*ktune3
aosc3 oscili iamp+ktrem3, ksinefreq+kvib3
alpf3 lpf18 aosc3, 19000, 0, kdist3
 
asig3 = alpf3*kvol3
asineL = asig3*((kpan3*-1)+1)
asineR = asig3*kpan3

elseif kmute3 == 1 then
asineL=0
asineR=0
endif



; 4 TRIANGLE WAVE (Muted)
/*
kvol4 chnget "trivol"
kpan4 chnget "tripan"
kvib4 chnget "trivibamount"
kvibhz4 chnget "trivibspeed"
ktrem4 chnget "tritremamount"
ktremhz4 chnget "tritremspeed"
klpf4 chnget "trilpf"
kres4 chnget "trires"
kdist4 chnget "tridist"
khpf4 chnget "trihpf"
k8va4 chnget "trioctave"
ktune4 chnget "tritune"
kmute4 chnget "trimute"

if kmute4 = 0 then

ktrem4 oscil ktrem4, ktremhz4
kvib4 oscil kvib4, kvibhz4
ktrifreq = (kfreq*k8va4)*ktune4
aosc4 vco2 iamp+ktrem4, ktrifreq+kvib4, 12
alpf4 lpf18 aosc4, klpf4, kres4, kdist4
ahpf4 atonex alpf4, khpf4 

asig4 = ahpf4*kvol4
atriL = asig4*((kpan4*-1)+1)
atriR = asig4*kpan4
*/
;elseif kmute4 == 1 then
atriL=0
atriR=0

;endif



; 5 PULSE WAVE

kvol5 init 0.2639999985694885
kpan5 init 0.7630000114440918
kvib5 init 0
kvibhz5 init 0
ktrem5 init 0
ktremhz5 init 0
klpf5 init 6000
kres5 init 0
kdist5 init 1.801000118255615
khpf5 init 0
k8va5 init 1.5
ktune5 init 1.001999974250793
kmute5 init 0

if kmute5 = 0 then

ktrem5 oscil ktrem5, ktremhz5
kvib5 oscil kvib5, kvibhz5
kpulsefreq = kfreq*k8va5
aosc5 vco2 iamp+ktrem5, kpulsefreq+kvib5, 6
alpf5 lpf18 aosc5, klpf5, kres5, kdist5
ahpf5 atonex alpf5, khpf5 

asig5 = ahpf5*kvol5
apulseL = asig5*((kpan5*-1)+1)
apulseR = asig5*kpan5

elseif kmute5 == 1 then
apulseL=0
apulseR=0

endif


; 6 NOISE

kvol6 init 0.3810000121593475
kpan6 init 0.5
ktrem6 init 0
ktremhz6 init 0
klpf6 init 19500
kres6 init 0
kdist6 init 0
khpf6 init 544.6680908203125
k8va6 init 1
ktype6 init 1
kmute6 init 0

if kmute6 = 0 then

ktrem6 oscil ktrem6, ktremhz6
aosc6 fractalnoise iamp+ktrem6, ktype6
alpf6 lpf18 aosc6, klpf6, kres6, kdist6
ahpf6 atonex alpf6, khpf6 

asig6 = (ahpf6*kvol6)*.5
anoiseL = asig6*((kpan6*-1)+1)
anoiseR = asig6*kpan6

elseif kmute6 == 1 then
anoiseL=0
anoiseR=0
endif




;--------------------output bus-----------------------;

amixL = (asawL+asquareL+asineL+atriL+apulseL+anoiseL)
amixR = (asawR+asquareR+asineR+atriR+apulseR+anoiseR)



;----------filter env--------------------------------;

ifiltatt init 0.004999999888241291
ifiltdec init 0.009999999776482582
;ifiltsus = ifilt ;assigns slider value to filter
ifiltsus init 0.1
ifiltrel init 0.001000000047497451
kcutoff init 3476.999755859375

kfiltres init 0.4010000228881836
kmastdist init 0.2930000126361847
klfodepth init 0.009999999776482582
klfospeed init 0.167000025510788



ifiltrel = ifiltrel+ivolrel




kfiltlfo oscili klfodepth, klfospeed

kfiltenv madsr ifiltatt, ifiltdec, ifiltsus, ifiltrel

kfilt = (kfiltenv+kfiltlfo)*kcutoff

if kfilt>19499 then
kfilt = 19500
endif

if kfilt<101 then
kfilt = 100
endif

afiltoutL lpf18 amixL, kfilt, kfiltres, kmastdist
afiltoutR lpf18 amixR, kfilt, kfiltres, kmastdist




;--------------vol env------------------;

kvolenv madsr ivolatt, ivoldec, ivolsus, ivolrel


;--------------MASTER OUTS-----------:

kmastvol init 0.5640000104904175

aoutL = (afiltoutL*kvolenv)*kmastvol
aoutR = (afiltoutR*kvolenv)*kmastvol

outs aoutL, aoutR

endin




;--------------------------------------End---------------------------------------

</CsInstruments>
<CsScore>

t 160

;------------------------------We Laugh Loop------------------------------

;i "SEQUENCER" 0 [60*60*24*7]

{ 3 CNT

	i6		[0.0 + 31 * $CNT.] 31.5 .1 "Samples/Misc/welaughdrums.aif" .12 1

}

;--------------------------------Hill Loop------------------------------------

{ 3 CNT

	i6 [31.0 + 31 * $CNT.] 31.5 .1 "Samples/Misc/mydreaminghill.aif" 1 0

}

;-------------------------------- Break ------------------------------------

{ 2 CNT

	i6 [81.0 + 8 * $CNT.] 8 1 "Samples/Misc/seesawbreak.aif" 1 0

}
;Use a widget to control Bass filter sweep and input bass loop (or maybe a global k line)
</CsScore>
</CsoundSynthesizer>




















<bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>800</x>
 <y>107</y>
 <width>300</width>
 <height>607</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="nobackground">
  <r>255</r>
  <g>255</g>
  <b>255</b>
 </bgcolor>
 <bsbObject type="BSBKnob" version="2">
  <objectName>bassfilt</objectName>
  <x>111</x>
  <y>63</y>
  <width>80</width>
  <height>80</height>
  <uuid>{10876815-f76f-453f-891c-163144920486}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <minimum>0.00000000</minimum>
  <maximum>1.00000000</maximum>
  <value>0.29000000</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>0.01000000</resolution>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject type="BSBLabel" version="2">
  <objectName/>
  <x>112</x>
  <y>140</y>
  <width>80</width>
  <height>25</height>
  <uuid>{c38b034a-cb84-475d-be65-d24019460f56}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>-3</midicc>
  <label>Bass Filter</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
</bsbPanel>
<bsbPresets>
</bsbPresets>
<EventPanel name="Break" tempo="160.00000000" loop="8.00000000" x="82" y="349" width="655" height="346" visible="true" loopStart="0" loopEnd="0">i 6 0 8 1 201 2 0 </EventPanel>
